summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSteve Powell <steve@rabbitmq.com>2012-01-30 14:40:26 +0000
committerSteve Powell <steve@rabbitmq.com>2012-01-30 14:40:26 +0000
commit6c546834cac4d15038fb73f6af4ae5721cee91a9 (patch)
tree4815db3001dcf643e81a9b8e5532d8862cc9d752
parent36d512da847d175cee43921b1088a1a28a30ae7f (diff)
downloadrabbitmq-server-git-6c546834cac4d15038fb73f6af4ae5721cee91a9.tar.gz
Move defaults to rabbitmq-sys
-rwxr-xr-xscripts/rabbitmq-env16
-rw-r--r--scripts/rabbitmq-sys31
2 files changed, 39 insertions, 8 deletions
diff --git a/scripts/rabbitmq-env b/scripts/rabbitmq-env
index 1983ef8578..dd7abd346f 100755
--- a/scripts/rabbitmq-env
+++ b/scripts/rabbitmq-env
@@ -36,14 +36,14 @@ RABBITMQ_HOME="${SCRIPT_DIR}/.."
[ "x" = "x$HOSTNAME" ] && HOSTNAME=`env hostname`
NODENAME=rabbit@${HOSTNAME%%.*}
-## Set (non-empty) default values for rabbitmq-env.conf variables to override
-SERVER_ERL_ARGS="+K true +A30 +P 1048576 \
--kernel inet_default_connect_options [{nodelay,true}]"
-CONFIG_FILE=${RABBITMQ_HOME}/rabbitmq
-LOG_BASE=${RABBITMQ_HOME}/log
-MNESIA_BASE=${RABBITMQ_HOME}/mnesia
-PLUGINS_DIR=${RABBITMQ_HOME}/plugins
-ENABLED_PLUGINS_FILE=${RABBITMQ_HOME}/enabled_plugins
+## Set system default values for rabbitmq-env.conf variables to override
+if [ ! -f ${SCRIPT_DIR}/rabbitmq-sys ]; then
+ echo -n "WARNING: system defaults are not available -- "
+ echo "check the installation completed correctly."
+ exit 1
+fi
+
+. ${SCRIPT_DIR}/rabbitmq-sys
## Get configuration variables from the rabbitmq-env.conf file
if [ -f /etc/rabbitmq/rabbitmq.conf ] && \
diff --git a/scripts/rabbitmq-sys b/scripts/rabbitmq-sys
new file mode 100644
index 0000000000..948b92d37d
--- /dev/null
+++ b/scripts/rabbitmq-sys
@@ -0,0 +1,31 @@
+#!/bin/sh
+## The contents of this file are subject to the Mozilla Public License
+## Version 1.1 (the "License"); you may not use this file except in
+## compliance with the License. You may obtain a copy of the License
+## at http://www.mozilla.org/MPL/
+##
+## Software distributed under the License is distributed on an "AS IS"
+## basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
+## the License for the specific language governing rights and
+## limitations under the License.
+##
+## The Original Code is RabbitMQ.
+##
+## The Initial Developer of the Original Code is VMware, Inc.
+## Copyright (c) 2012 VMware, Inc. All rights reserved.
+##
+
+## Set system default values
+CONFIG_FILE=/etc/rabbitmq/rabbitmq
+LOG_BASE=/var/log/rabbitmq
+MNESIA_BASE=/var/lib/rabbitmq/mnesia
+PLUGINS_DIR="${RABBITMQ_HOME}/plugins"
+ENABLED_PLUGINS_FILE=/etc/rabbitmq/enabled_plugins
+
+SERVER_ERL_ARGS="+K true +A30 +P 1048576 \
+-kernel inet_default_connect_options [{nodelay,true}]"
+## CONFIG_FILE=${RABBITMQ_HOME}/rabbitmq
+## LOG_BASE=${RABBITMQ_HOME}/log
+## MNESIA_BASE=${RABBITMQ_HOME}/mnesia
+## PLUGINS_DIR=${RABBITMQ_HOME}/plugins
+## ENABLED_PLUGINS_FILE=${RABBITMQ_HOME}/enabled_plugins